<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ship.cable.mapper.CableMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="cableResultMap" type="org.springblade.ship.cable.entity.Cable">
        <result column="id" property="id"/>
        <result column="ship_no" property="shipNo"/>
        <result column="picture_no" property="pictureNo"/>
        <result column="alias" property="alias"/>
        <result column="category" property="category"/>
        <result column="model" property="model"/>
        <result column="specs" property="specs"/>
        <result column="diameter" property="diameter"/>
        <result column="begin_cabin" property="beginCabin"/>
        <result column="begin_name" property="beginName"/>
        <result column="begin_deck" property="beginDeck"/>
        <result column="begin_ship_side" property="beginShipSide"/>
        <result column="begin_rib_position" property="beginRibPosition"/>
        <result column="pass_node" property="passNode"/>
        <result column="end_cabin" property="endCabin"/>
        <result column="end_name" property="endName"/>
        <result column="end_deck" property="endDeck"/>
        <result column="end_ship_side" property="endShipSide"/>
        <result column="end_rib_position" property="endRibPosition"/>
        <result column="stop_point" property="stopPoint"/>
        <result column="front_len" property="frontLen"/>
        <result column="len" property="len"/>
        <result column="drawing_no" property="drawingNo"/>
        <result column="label" property="label"/>
        <result column="remark" property="remark"/>
    </resultMap>


    <select id="selectCablePage" resultMap="cableResultMap">
        select * from sc_cable where is_deleted = 0
    </select>

    <select id="exportUser" resultType="org.springblade.modules.system.excel.CableExcel">
        SELECT * FROM sc_cable ${ew.customSqlSegment}
    </select>

</mapper>
